﻿<div class="page-content">
    <div class="content-block" ng-model="contact">
        <h2>تواصل معنا</h2>
        <p ng-if="callShow" class="contactDetails">
            <a  ng-click="btnCallWithUs(contact.phoneNumber)" class="call link icon-only open-contact" ><i  class="ionicons ion-android-call"></i> <span class="socialLink"> {{contact.phoneNumber}} </span> </a>
        </p>
        <p ng-if="emailShow"  class="contactDetails">
            <a  ng-click="btnEmailWithUs(contact.email)" class="mail link icon-only open-contact" ><i  class="ionicons ion-android-mail"></i> <span class="socialLink"> {{contact.email}} </span> </a>
        </p>
        <h4 class="social">
            <a name="facebook" data-ng-click="contactUsWithSocial('facebook')"><i ng-if="facebookShow" class="ionicons ion-social-facebook"></i></a>
            <a name="twitter" data-ng-click="contactUsWithSocial('twitter')"><i ng-if="twitterShow" class="ionicons ion-social-twitter"></i></a>
            <a name="instgram" data-ng-click="contactUsWithSocial('instgram')"><i ng-if="InstgramShow" class="ionicons ion-social-instagram"></i></a>
            <a name="youtube" data-ng-click="contactUsWithSocial('youtube')"><i ng-if="youtubeShow" class="ionicons ion-social-youtube"></i></a>
            <a name="googleplus" data-ng-click="contactUsWithSocial('googleplus')"><i ng-if="googlePlusShow" class="ionicons ion-social-googleplus"></i></a>
            <a name="linkedin" data-ng-click="contactUsWithSocial('linkedin')"><i ng-if="LinkedInShow" class="ionicons ion-social-linkedin"></i></a>
        </h4>
        <div class="list-block">
            <form name="$parent.ContactUsForm" ng-submit="contactUsSubmitForm($parent.ContactUsForm.$valid)" novalidate>
                <ul>
                    <!-- Text inputs -->
                    <li>
                        <div class="item-content" ng-class="contactSubmitted && contectReset   && $parent.ContactUsForm.userNameContactUs.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="userNameContactUs" class="form-control" type="text" placeholder="الاسم بالكامل" ng-model="contactUsForm.userNameContactUs" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="contactSubmitted && contectReset  && $parent.ContactUsForm.userNameContactUs.$error.required" class="error-block">يجب إدخال اسم المستخدم</p>
               
                    </li>
                    <li>
                        <div class="item-content" ng-class="contactSubmitted && contectReset && $parent.ContactUsForm.userMobileContactUs.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input type="tel" name="userMobileContactUs" placeholder="رقم الجوال" ng-model="contactUsForm.userMobileContactUs" ng-minlength="10" ng-maxlength="10" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="contactSubmitted && contectReset  && $parent.ContactUsForm.userMobileContactUs.$error.required" class="error-block">يجب إدخال رقم الجوال </p>
                        <p ng-if="contactSubmitted && contectReset  && $parent.ContactUsForm.userMobileContactUs.$error.minlength" class="error-block">الجوال يجب ألا يقل عن عشرة أرقام</p>
                        <p ng-if="contactSubmitted && contectReset  &&$parent.ContactUsForm.userMobileContactUs.$error.maxlength" class="error-block">الجوال يجب ألا يزيد عن عشرة أرقام</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="contactSubmitted && contectReset && $parent.ContactUsForm.userEmailContactUs.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <input name="userEmailContactUs" class="form-control" type="email" placeholder="البريد الإلكترونى" ng-pattern="emailRegex" ng-model="contactUsForm.userEmailContactUs" required>
                                </div>
                            </div>
                        </div>
                        <p ng-if="contactSubmitted && contectReset  && $parent.ContactUsForm.userEmailContactUs.$error.required" class="error-block">يجب إدخال البريد الإلكتروني</p>
                        <p ng-if="contactSubmitted && contectReset  && $parent.ContactUsForm.userEmailContactUs.$error.pattern" class="error-block">البريد الإلكتروني غير صحيح</p>
                    </li>
                    <li>
                        <div class="item-content" ng-class="contactSubmitted && contectReset  && $parent.ContactUsForm.userMessageContactUs.$invalid?'has-error':'no-error'">
                            <div class="item-inner">
                                <div class="item-input">
                                    <textarea type="text" name="userMessageContactUs" placeholder="الرسالة" ng-model="contactUsForm.userMessageContactUs" required></textarea>
                                </div>
                            </div>
                        </div>
                        <p ng-if="contactSubmitted && contectReset && $parent.ContactUsForm.userMessageContactUs.$error.required" class="error-block">يجب إدخال الرسالة </p>
                    </li>
                </ul>
                <button ng-click="contactSubmitted=true" class="button button-round purple">إتصل بنا</button>

                <button ng-click="contactUsBack()" class="button button-round yellow">رجوع</button>
            </form>
        </div>
    </div>
</div>